ilookup5
Prev | Inode Handling | Next

## Name

ilookup5 — search for an inode in the inode cache

## Synopsis

`struct inode * ilookup5 (` | struct super_block * | sb,
| unsigned long | hashval,
| int (* | test`(`struct inode *, void *`)`,
| void * | data`)`;

## Arguments

`sb`

  super block of file system to search

`hashval`

  hash value (usually inode number) to search for

`test`

  callback used for comparisons between inodes

`data`

  opaque data pointer to pass to `test`

## Description

`ilookup5` uses `ifind` to search for the inode specified by `hashval` and `data` in the inode cache. This is a generalized version of `ilookup` for file systems where the inode number is not sufficient for unique identification of an inode.

If the inode is in the cache, the inode lock is waited upon and the inode is returned with an incremented reference count.

Otherwise NULL is returned.

Note, `test` is called with the inode_lock held, so can't sleep.

Prev | Up | Next
ilookup5_nowait | Home | ilookup